com.fasterxml.jackson.dataformat.yaml

## Class YAMLMapper.Builder

- java.lang.Object
- - com.fasterxml.jackson.databind.cfg.MapperBuilder<YAMLMapper,YAMLMapper.Builder>
  - - com.fasterxml.jackson.dataformat.yaml.YAMLMapper.Builder

Enclosing class:
  YAMLMapper

    public static class YAMLMapper.Builder
    extends com.fasterxml.jackson.databind.cfg.MapperBuilder<YAMLMapper,YAMLMapper.Builder>

Base implementation for "Vanilla" `ObjectMapper`, used with YAML backend.

Since:
  3.0

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.cfg.MapperBuilder

`_mapper`

### Constructor Summary

Constructors
Constructor and Description
`Builder(YAMLMapper m)`

### Method Summary

All Methods Instance Methods Concrete Methods
`YAMLMapper.Builder` `configure(YAMLGenerator.Feature f, boolean state)`
`YAMLMapper.Builder` `configure(YAMLParser.Feature f, boolean state)`
`YAMLMapper.Builder` `disable(YAMLGenerator.Feature... features)`
`YAMLMapper.Builder` `disable(YAMLParser.Feature... features)`
`YAMLMapper.Builder` `enable(YAMLGenerator.Feature... features)`
`YAMLMapper.Builder` `enable(YAMLParser.Feature... features)`

### Methods inherited from class com.fasterxml.jackson.databind.cfg.MapperBuilder

`_this, accessorNaming, activateDefaultTyping, activateDefaultTyping, activateDefaultTyping, activateDefaultTypingAsProperty, addHandler, addMixIn, addModule, addModules, addModules, annotationIntrospector, build, clearProblemHandlers, configure, configure, configure, configure, configure, configure, configure, constructorDetector, deactivateDefaultTyping, defaultBase64Variant, defaultDateFormat, defaultLeniency, defaultLocale, defaultMergeable, defaultPrettyPrinter, defaultPropertyInclusion, defaultSetterInfo, defaultTimeZone, disable, disable, disable, disable, disable, disable, disable, enable, enable, enable, enable, enable, enable, enable, filterProvider, findAndAddModules, findModules, findModules, handlerInstantiator, injectableValues, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, nodeFactory, polymorphicTypeValidator, propertyNamingStrategy, registerSubtypes, registerSubtypes, registerSubtypes, serializationInclusion, serializerFactory, setDefaultTyping, streamFactory, subtypeResolver, typeFactory, visibility, visibility`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder(YAMLMapper m)

### Method Detail

#### enable

    public YAMLMapper.Builder enable(YAMLParser.Feature... features)

#### disable

    public YAMLMapper.Builder disable(YAMLParser.Feature... features)

#### configure

    public YAMLMapper.Builder configure(YAMLParser.Feature f,
                                        boolean state)

#### enable

    public YAMLMapper.Builder enable(YAMLGenerator.Feature... features)

#### disable

    public YAMLMapper.Builder disable(YAMLGenerator.Feature... features)

#### configure

    public YAMLMapper.Builder configure(YAMLGenerator.Feature f,
                                        boolean state)